sodawater
sodawater
Joined: May 14, 2012
  • Threads: 64
  • Posts: 3321
September 15th, 2014 at 12:59:33 AM permalink
When I visit:

http://wizardofodds.com/games/pai-gow-tiles/calculator/

I get an alert saying I need to update to the latest JRE.

This happens in both Firefox



And Safari



Whether I press cancel or OK, it brings me to the Java web site anyway.

I do have the latest version of java.



The applet for the calculator will not load because of this alert, and I cannot use the calculator.
odiousgambit
odiousgambit
Joined: Nov 9, 2009
  • Threads: 316
  • Posts: 8867
September 15th, 2014 at 3:34:30 AM permalink
I think it's that irritating tendency computers have for giving an error message that is nonsense.

I'm not having those problems so it probably was a fix for video poker I did thanks to a thread on that problem.

Here is the post,
http://wizardofvegas.com/forum/info/help/19145-java-support-for-advice-in-the-wizards-online-video-poker/#post384489

I followed this exactly and it solved the problem ... thank you BleedingChipsSlowly!
the next time Dame Fortune toys with your heart, your soul and your wallet, raise your glass and praise her thus: “Thanks for nothing, you cold-hearted, evil, damnable, nefarious, low-life, malicious monster from Hell!” She is, after all, stone deaf. ... Arnold Snyder
djatc
djatc
Joined: Jan 15, 2013
  • Threads: 83
  • Posts: 4477
September 15th, 2014 at 3:36:22 AM permalink
Same for the video poker strategy page. Don't make me do mafs like the Dark Ages!
"Man Babes" #AxelFabulous
paigower
paigower
Joined: Jan 4, 2012
  • Threads: 2
  • Posts: 28
September 15th, 2014 at 6:25:34 AM permalink
it's because of this bit of code in the html:

if (!deployJava.versionCheck('1.8.0_10+'))
{
if (confirm("You need the latest Java(TM) Runtime Environment.\n\nWould you like to update now?"))
{
deployJava.returnPage = location.href;
deployJava.installLatestJRE();
}
}


it's looking for java version >1.8.0_10, when most of the rest of the world is still dealing with java 6/java 7.
JB
Administrator
JB
Joined: Oct 14, 2009
  • Threads: 334
  • Posts: 2089
September 15th, 2014 at 7:07:08 AM permalink
I lowered the minimum version. Please try it again and let me know if it works.
sodawater
sodawater
Joined: May 14, 2012
  • Threads: 64
  • Posts: 3321
September 15th, 2014 at 1:51:26 PM permalink
Quote: JB

I lowered the minimum version. Please try it again and let me know if it works.



Nope, still getting the same message and redirect to java site as before.
JB
Administrator
JB
Joined: Oct 14, 2009
  • Threads: 334
  • Posts: 2089
September 15th, 2014 at 1:55:23 PM permalink
Try loading the page and then refreshing it, as it sounds like your browser is using a cached version from before I made the change.
sodawater
sodawater
Joined: May 14, 2012
  • Threads: 64
  • Posts: 3321
September 15th, 2014 at 2:20:45 PM permalink
Quote: JB

Try loading the page and then refreshing it, as it sounds like your browser is using a cached version from before I made the change.



Cleared caches from both Safari and Firefox. Now when I visit http://wizardofodds.com/games/pai-gow-tiles/calculator/

I get redirected to http://java.com/en/download/mac_download.jsp WITHOUT any pop-up message.

Just tried http://wizardofodds.com/games/pai-gow-tiles/calculator/ in Chrome, and I get the message, because obviously Chrome doesn't have Java running.

  • Jump to: